<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="agentCommissionRateConfig">
            <h2><span>Agent Commission Rate Config</span> {{ agentCommissionRateConfig.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span>Agent Id</span></dt>
                <dd>
                    <span>{{ agentCommissionRateConfig.agentId }}</span>
                </dd>
                <dt><span>Commission Id</span></dt>
                <dd>
                    <span>{{ agentCommissionRateConfig.commissionId }}</span>
                </dd>
                <dt><span>Start</span></dt>
                <dd>
                    <span>{{ agentCommissionRateConfig.start }}</span>
                </dd>
                <dt><span>End</span></dt>
                <dd>
                    <span>{{ agentCommissionRateConfig.end }}</span>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/agent-commission-rate-config', agentCommissionRateConfig.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
            </button>
        </div>
    </div>
</div>
